<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::rule('login', 'User/login');
Route::rule('verifyToken', 'User/verify_token');
Route::rule('register', 'User/register');
Route::rule('dingTalk', 'User/DingTalk');

Route::rule('userlist', 'UserInfo/UserList');
Route::rule('usersave', 'UserInfo/UserSave');
Route::rule('userstatus', 'UserInfo/UserStatus');
Route::rule('userinfo', 'UserInfo/info');
Route::rule('setpasswd', 'UserInfo/PassSet');
Route::rule('setcompany', 'UserInfo/setCompany');
Route::rule('companystatus', 'UserInfo/setCompanyStatus');
Route::rule('useradd', 'UserInfo/userAdd');
Route::rule('userDelete', 'UserInfo/userDelete');

//【公司账号管理】
Route::rule('userCompanyBasicAdd', 'UserCompanyBasic/add');
Route::rule('userCompanyBasicList', 'UserCompanyBasic/getList');
Route::rule('userCompanyBasicDelete', 'UserCompanyBasic/delete');
Route::rule('userCompanyBasicUpdate', 'UserCompanyBasic/update');
Route::rule('userCompanyBasicStatus', 'UserCompanyBasic/status');
Route::rule('userCompanyBasicInfo', 'UserCompanyBasic/info');
//【公司账号查询】
Route::rule('userCompanyList', 'admin/UserCompany/getList');
Route::rule('userCompanyInfo', 'admin/UserCompany/info');
Route::rule('userCompanyUpdate', 'admin/UserCompany/update');
Route::rule('userCompanyStatus', 'admin/UserCompany/status');
